//! Handle search results in opds.

use poem::Response;

use crate::data::book::Book;

use super::books::render_books;

/// Render search results as OPDS entries in a feed.
pub async fn handler(books: Vec<Book>) -> Result<Response, poem::Error> {
    render_books(books).await
}
