//! Read data from a calibre library, leveraging its SQLite metadata database.

pub mod calibre;
pub mod search;

/// Data structs for the calibre database.
pub mod data {
    pub mod author;
    pub mod book;
    pub mod error;
    pub mod pagination;
    pub mod series;
}
